Bug 41632 - RFE: twisty tripwire syntax maybe belongs in Makefile?
RFE: twisty tripwire syntax maybe belongs in Makefile?
Product: Red Hat Linux
Classification: Retired
Component: tripwire (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-05-21 12:33 EDT by ratness
Modified: 2007-03-26 23:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-21 20:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ratness 2001-05-21 12:33:26 EDT
twadmin -m P -S /etc/tripwire/site.key /etc/tripwire/twpol.txt
That's a lot to have to type for a simple rebuild.  Since (most of
the time) the same keys and same policy files will be used, how
about if you make a Makefile in /etc/tripwire, much like is done
in /etc/mail, to rebuild these files more easily?

Additional Information:
Comment 1 Mike A. Harris 2001-05-21 21:03:35 EDT
Sounds fairly reasonable to me.  Will consider for a future release.

Comment 2 Jaroslaw Sosnicki 2001-05-31 15:01:31 EDT
I think that the folowing features would be very usefull option in tripwire:

1: identify files that don't belong to any RPM package. Most of the trojen 
horse type files are not part of any package.

2: generate checksumm "sum -s <file_name>" and compare to checksum stored in 
RPM database

# Check Linux filesystem for files that don't belong to any package             
#for i in bin boot dev etc home lib misc mnt opt proc root sbin tmp usr var; do 
for i in bin boot etc lib misc mnt opt proc root sbin usr var; do               
  echo "# $i - Files not owned by any package" >/tmp/rpm_$i.lst           
  find /$i -exec rpm -qf {} 2>&1 \; |awk '/^file / {print $2}' 
Comment 3 Mike A. Harris 2001-06-19 00:59:29 EDT
Deferring for future consideration.  If someone supplies a patch, etc. it
could help speed up this possible enhancement.
Comment 4 John Thacker 2006-04-21 20:47:58 EDT
Closing bug, since tripwire hasn't been shipped for so long.

Note You need to log in before you can comment on or make changes to this bug.